## linux-kernel-headers 2.6.16.osso7

=== debian/changelog ===
linux-kernel-headers (2.6.16.osso7) unstable; urgency=low

  * armel transition: Use DEB_HOST_ARCH_CPU instead of DEB_HOST_ARCH
  * Changelog cleanup. Fixes: NB#32294
  
 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 12 Jun 2006 11:46:08 +0300

linux-kernel-headers (2.6.16.osso6) unstable; urgency=low

  * Updated version 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 19 May 2006 16:24:48 +0300

linux-kernel-headers (2.6.16.osso5) unstable; urgency=low

  * armel support 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 17 May 2006 18:57:15 +0300

linux-kernel-headers (2.6.16.osso4) unstable; urgency=low

  * Do not use EABI syscall numbers for a while 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 11 May 2006 17:14:34 +0300

linux-kernel-headers (2.6.16.osso3) unstable; urgency=low

  * Updated input.h fix

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  4 May 2006 18:42:55 +0300

linux-kernel-headers (2.6.16.osso2) unstable; urgency=low

  * Apllied debian patches
  * Fixed input.h

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  4 May 2006 15:59:49 +0300

linux-kernel-headers (2.6.16.osso1) unstable; urgency=low

  * Updated kernel headers. 
  * updated autoconf.h

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 21 Apr 2006 16:00:31 +0300

linux-kernel-headers (2.6.12-1.osso1) unstable; urgency=low

  * Used 2.6.16 asm-arm/unistd.h for EABI syscalls

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 21 Apr 2006 15:41:31 +0300

linux-kernel-headers (2.6.12-1) unstable; urgency=low

  * New upstream version

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  6 Apr 2006 19:20:57 +0400

linux-kernel-headers (2.6.13+0rc3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Move <linux/compat.h> down to under the CONFIG_COMPAT #define to avoid
    breakage when including <linux/usbdevice_fs.h> on 64-bit platforms;
    patch from Harald Welte. (Closes: #342780)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon,  6 Mar 2006 02:29:10 +0100

linux-kernel-headers (2.6.13+0rc3-2) unstable; urgency=low

  * Acknowledge NMU from Adeodato Simó (Closes: #320515).  Thanks!
  * Add patch from Hirokazu Takata <takata@linux-m32r.org> for m32r
    (Closes: #327779).
  * Add patch from Andreas Jochens <aj@andaco.de> for biarch ppc / ppc64 /
    i386 / amd64 support (Closes: #274920, #321969).
  * Temporarily adjust i386 biarch support to avoid clashing with
    amd64-libs-dev (due to limitations of dpkg-divert - diversions
    are removed in the postrm, so Conflicts is not enough to
    make sure amd64-libs-dev is fully gone before we install).
  * Merge armeb support from Lennert Buytenhek
    <buytenh+debian@wantstofly.org> (Closes: #333596).
  * Correct ppc64 memory.h patch.

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 13 Oct 2005 15:42:01 -0400

linux-kernel-headers (2.6.13+0rc3-1.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bug that makes other packages FTBFS.

  * debian/patches/linux-joystick.patch: New file, wrap the usage of
    BITS_PER_LONG with #ifdef __KERNEL__. (Closes: #320515)

 -- Adeodato Simó <asp16@alu.ua.es>  Sun, 07 Aug 2005 12:57:42 +0200

linux-kernel-headers (2.6.13+0rc3-1) unstable; urgency=low

  * GOTO Masanori <gotom@debian.org>
  
    - New upstream release 2.6.13-rc3.
    - autoconfs/*.h: Update.
    - version.h: Update.

    - debian/rules: Move autoconf.h installation to generate-asm.sh when
      biarch is used.
    - debian/generate-asm.sh: Install autoconf.h to asm* instead of linux
      when biarch is used.

    - debian/patches/asm-ppc64-swab64.patch: Delete file, it's already applied
      to upstream.
    - debian/patches/i2c-dev.patch: Likewise.
    - debian/patches/usb.patch: Remove usb_ch9.h part because it's already 
      applied to upstream.  Fix new patch that introduced another breaks.
    - debian/patches/byteorder-const.patch: Move asm-ppc64 part from
      asm-ppc64-swab64.patch.  Remove linux/byteorder/swabb.h part because
      it's already applied to upstream.

    - debian/patches/linux-capi.patch: New file, include missing
      linux/compiler.h to fix build failure of asterisk-chan-capi and
      isdnutils.  (Closes: #318297, #319303)
    - debian/patches/sparc-asm-fbio.patch: Update to include missing
      linux/compiler.h to fix build failure of xorg-x11.  (Closes: #318979)
    - debian/patches/linux-if_fddi.patch: New file, include missing
      linux/netdevice.h to fix build failure of net-tools.  Patched by
      Matt Kraai <kraai@ftbfs.org>.  (Closes: #317857)

 -- GOTO Masanori <gotom@debian.org>  Sat,  2 Jul 2005 18:37:43 +0900

linux-kernel-headers (2.6.12.0-1) unstable; urgency=low

  * GOTO Masanori <gotom@debian.org>

    - New upstream release 2.6.12.  (Closes: #313275)
    - autoconfs/*.h: Update.
    - version.h: Update.

    - testsuite/wait.c: Add testcase, to check sys/wait.h, asm/sigcontext.h
      and so on for #313275.
 
    - debian/patches/x86-64-long-long.patch: Remove to clean up because it's
      not needed, the current testsuite passes without this patch.

 -- GOTO Masanori <gotom@debian.org>  Thu, 16 Jun 2005 23:40:06 +0900

linux-kernel-headers (2.6.12+0rc6-1) experimental; urgency=low

  * GOTO Masanori <gotom@debian.org>

    - New upstream release 2.6.12-rc6.
    - autoconfs/*.h: Update.
    - version.h: Update.

    - debian/copyright: Change Copyright -> License.  (Closes: #290212)

    - debian/patches/asm-parisc-unistd.patch: Add to make the macro -std=c99
      friendly for asm-parisc/unistd.h.  It's already fixed in the latest
      cvs.parisc-linux.org.  (Closes: #301073)

    - debian/patches/asm-ppc64-swab64.patch: Add to enable
      __arch__swab{16,32}, disable __arch__swab64 on ppc64.
    - debian/patches/byteorder-const.patch: Move asm-ppc64 part to
      asm-ppc64-swab64.patch.

    - debian/patches/byteorder-inline.patch: Enclose __STRICT_ANSI__ and
      __GNUC__ for __cpu_to[lb]e64p and __[lb]e64_to_cpup correctly.


